-- This Source Code Form is subject to the terms of the bCDDL, v. 1.1.
-- If a copy of the bCDDL was not distributed with this
-- file, You can obtain one at http://beamng.com/bCDDL-1.1.txt

local M = {}

local helper = require('scenario/scenariohelper')

local function onBeamNGTrigger(data)

  if data.event == 'enter' and data.triggerName == 'boom_Trigger' then

  local confettiCanon0 = scenetree.findObject('confetti_canon0')

  confettiCanon0.active = true

  end
end

local function onScenarioRestarted()

  local confettiCanon0 = scenetree.findObject('confetti_canon0')

  confettiCanon0.active = false

end

M.onBeamNGTrigger = onBeamNGTrigger
M.onScenarioRestarted = onScenarioRestarted

return M